#!/bin/bash

# Function to check if relay is installed
check_relay_installed() {
    # Checking if the relay extension is present in the PHP modules
    if php -m | grep -q relay; then
        echo "Relay/Object Cache Pro is installed."
    else
        echo "Relay/Object Cache Pro is not installed."
    fi
}

# Execute the check
check_relay_installed
exit 0 
