#!/bin/bash
OP_INI='/usr/local/lsws/lsphp/etc/php.d/10-opcache.ini'
MEM_CONS=$1
INT_BUF=$2
MAX_FILES=$3
REVAL_FREQ=$4

# Use direct values instead of variable expansion in sed
sed -i -e "s/opcache.memory_consumption=.*/opcache.memory_consumption=$MEM_CONS/" $OP_INI
sed -i -e "s/opcache.interned_strings_buffer=.*/opcache.interned_strings_buffer=$INT_BUF/" $OP_INI
sed -i -e "s/opcache.max_accelerated_files=.*/opcache.max_accelerated_files=$MAX_FILES/" $OP_INI
sed -i -e "s/opcache.revalidate_freq=.*/opcache.revalidate_freq=$REVAL_FREQ/" $OP_INI

